Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#54817 - [archboot] Unable to install due to unresolved dependencies

Attached to Project: Arch Linux
Opened by Pablo Lezaeta (Jristz) - Saturday, 15 July 2017, 05:09 GMT
Last edited by Tobias Powalowski (tpowa) - Saturday, 23 June 2018, 21:12 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Tobias Powalowski (tpowa)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
Trying to install archboot will attempt to install also yp-tools>=2.12-2 and since this package was dropped from the repo resently with a long warning wait period now is imppssible to install archboot.


Additional info:
* archboot
* yp-tools


Steps to reproduce:
Try to install archboot in a clean system from core and fail due to unmet dependencies not in arch repos
This task depends upon

Closed by  Tobias Powalowski (tpowa)
Saturday, 23 June 2018, 21:12 GMT
Reason for closing:  Fixed
Additional comments about closing:  2018.06-1
Comment by Eli Schwartz (eschwartz) - Wednesday, 08 November 2017, 03:17 GMT
Note that as rfkill is now part of util-linux, updated systems cannot have the still-existing-and-soon-to-be-deleted rfkill package installed, and util-linux does not provide a versioned rfkill version suitable to match the version restraint mandated by archboot. Which means this too must be removed in order to make archboot installable again.

https://bbs.archlinux.org/viewtopic.php?pid=1747834#p1747834
Comment by Pablo Lezaeta (Jristz) - Saturday, 11 November 2017, 06:59 GMT
I'm surprices this package is not listed on the TODO ever with a in-AUR dep.
https://www.archlinux.org/todo/packages-with-out-of-repositories-dependencies/

Maybe Allan don't check Core for the ToDo...
Comment by Tobias Powalowski (tpowa) - Saturday, 11 November 2017, 18:48 GMT
I'll update archboot soon with i686 cleanup.
Give me some time, i'm aware of it.
Comment by Antonio Rojas (arojas) - Saturday, 11 November 2017, 22:11 GMT
Note that eventlog is also going away (merged in syslog-ng)
Comment by Alexander Rothenberg (EisWiesel) - Saturday, 23 December 2017, 22:35 GMT
Please fix it soon, Im working on an free ncurse based installer with security tools for arch and need this package to be working :)
Comment by Tobias Powalowski (tpowa) - Monday, 25 December 2017, 07:27 GMT
The git version has it removed, I have the problem that it doesn't boot atm, something from glibc is missing.
Comment by Tobias Powalowski (tpowa) - Saturday, 23 June 2018, 20:20 GMT
Good news 2018.06-1 will have this fixed.

Loading...